snmp2_get
snmp2_real_walk
SNMP Functions
PHP Manual

# snmp2_getnext

(PHP >= 5.2.0)

snmp2_getnext — Fetch the SNMP object which follows the given object id

### Description

string snmp2_getnext ( string `$host` , string `$community` , string `$object_id` [, string `$timeout` = 1000000 [, string `$retries` = 5 ]] )

The snmp2_get_next() function is used to read the value of the SNMP object that follows the specified `object_id`.

### Parameters

`host`

  The hostname of the SNMP agent (server).

`community`

  The read community.

`object_id`

  The SNMP object id which precedes the wanted one.

`timeout`

  The number of microseconds until the first timeout.

`retries`

  The number of times to retry if timeouts occur.

### Return Values

Returns SNMP object value on success or `FALSE` on error. In case of an error, an E_WARNING message is shown.

### Examples

Example #1 Using snmp2_get_next()

`<?php
$nameOfSecondInterface = snmp2_get_next('localhost', 'public', 'IF-MIB::ifName.1';
?>`

### See Also

- snmp2_get() - Fetch an SNMP object
- snmp2_walk() - Fetch all the SNMP objects from an agent

snmp2_get
snmp2_real_walk
SNMP Functions
PHP Manual